summaryrefslogtreecommitdiff
path: root/tests/tests/overwrite-splitbrains
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/overwrite-splitbrains')
-rwxr-xr-xtests/tests/overwrite-splitbrains27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/tests/overwrite-splitbrains b/tests/tests/overwrite-splitbrains
new file mode 100755
index 0000000..c0c7470
--- /dev/null
+++ b/tests/tests/overwrite-splitbrains
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-gbp-example-prep-no-ff
+t-newtag
+
+t-dgit --quilt=gbp build-source
+
+t-dgit fetch
+
+t-refs-same-start
+t-ref-head
+
+t-expect-fail 'check failed (maybe --overwrite is needed' \
+t-dgit --quilt=gbp push
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --quilt=gbp --overwrite push
+
+t-gbp-pushed-good
+
+echo ok.